%{?mingw_package_header}

Name:           mingw-freetype
# NOTE See comment for Patch2 below
Version:        2.10.4
Release:        %mkrel 1
Summary:        Free and portable font rendering engine

Group:          Development/Other
License:        FTL or GPLv2+
URL:            http://www.freetype.org
Source0:        http://download.savannah.gnu.org/releases/freetype/freetype-%{version}.tar.xz

# Patches from native Fedora package.

# Enable subpixel rendering (ClearType)
Patch0:         freetype-2.3.0-enable-spr.patch
# Enable otvalid and gxvalid modules
Patch1:         freetype-2.2.1-enable-valid.patch
# Re-add symbol downstream for ABI compatibility only. Remove once soname has been bumped from -6.
Patch2:         freetype-2.10.0-internal-outline.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-bzip2
BuildRequires:  mingw32-libpng

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-bzip2
BuildRequires:  mingw64-libpng

BuildRequires:  gcc

%description
MinGW Windows Freetype library.

# Win32
%package -n mingw32-freetype
Summary:        Free and portable font rendering engine

%description -n mingw32-freetype
MinGW Windows Freetype library.

%package -n mingw32-freetype-static
Summary:        Static version of the MinGW Windows Freetype library
Requires:       mingw32-freetype = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-freetype-static
Static version of the MinGW Windows Freetype library.

# Win64
%package -n mingw64-freetype
Summary:        Free and portable font rendering engine

%description -n mingw64-freetype
MinGW Windows Freetype library.

%package -n mingw64-freetype-static
Summary:        Static version of the MinGW Windows Freetype library
Requires:       mingw64-freetype = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-freetype-static
Static version of the MinGW Windows Freetype library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n freetype-%{version}


%build
%mingw_configure \
           --enable-static \
           --enable-shared \
           --with-zlib=yes \
           --with-bzip2=yes \
           --with-png=yes \
           --enable-freetype-config \
           --with-harfbuzz=no

%mingw_make %{?_smp_mflags}

# The ft2demos Makefile is hacky and doesn't understand
# cross-compilation.  This nearly works, but not quite, so
# disable. it.
#pushd ft2demos-%{version}
#make TOP_DIR=".." PLATFORM=win32
#popd


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove redundent man pages
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir} $RPM_BUILD_ROOT%{mingw64_mandir}


%files -n mingw32-freetype
%license docs/LICENSE.TXT
%{mingw32_bindir}/freetype-config
%{mingw32_bindir}/libfreetype-6.dll
%{mingw32_includedir}/freetype2
%{mingw32_libdir}/libfreetype.dll.a
%{mingw32_libdir}/pkgconfig/freetype2.pc
%{mingw32_datadir}/aclocal/freetype2.m4

%files -n mingw32-freetype-static
%{mingw32_libdir}/libfreetype.a

%files -n mingw64-freetype
%license docs/LICENSE.TXT
%{mingw64_bindir}/freetype-config
%{mingw64_bindir}/libfreetype-6.dll
%{mingw64_includedir}/freetype2
%{mingw64_libdir}/libfreetype.dll.a
%{mingw64_libdir}/pkgconfig/freetype2.pc
%{mingw64_datadir}/aclocal/freetype2.m4

%files -n mingw64-freetype-static
%{mingw64_libdir}/libfreetype.a




%changelog
* Wed Oct 21 2020 daviddavid <daviddavid> 2.10.4-1.mga8
+ Revision: 1637539
- new version: 2.10.4

* Sun May 10 2020 daviddavid <daviddavid> 2.10.2-1.mga8
+ Revision: 1582581
- new version: 2.10.2

* Thu Feb 20 2020 umeabot <umeabot> 2.10.1-2.mga8
+ Revision: 1547345
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 2.10.1-1.mga8
+ Revision: 1487942
- new version: 2.10.1

* Fri Aug 30 2019 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1435246
- new version: 2.10.0

* Thu Sep 20 2018 umeabot <umeabot> 2.9.1-2.mga7
+ Revision: 1279620
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 2.9.1-1.mga7
+ Revision: 1247584
- new version: 2.9.1
- remove merged upstream patches
- rename and rediff enable-valid and multilib patches

* Sun Aug 05 2018 daviddavid <daviddavid> 2.8-1.mga7
+ Revision: 1247572
- new version: 2.8

* Wed May 11 2016 tv <tv> 2.6.3-1.mga6
+ Revision: 1012667
- new release

* Tue Apr 05 2016 tv <tv> 2.6-1.mga6
+ Revision: 998633
- new release

* Sat Feb 06 2016 umeabot <umeabot> 2.5.0.1-4.mga6
+ Revision: 940672
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0.1-3.mga5
+ Revision: 750034
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0.1-2.mga5
+ Revision: 682432
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.5.0.1-1.mga4
+ Revision: 483585
- imported package mingw-freetype


* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.5.0.1-1
- Update to 2.5.0.1
- Added BR: mingw32-libpng mingw64-libpng

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 15 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.12-1
- Update to 2.4.12

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.11-1
- Update to 2.4.11
- Removed unused source tags

* Wed Oct 24 2012 Nicola Fontana <ntd@entidi.it> - 2.4.10-2
- Added static subpackage

* Sun Oct 07 2012 Kalev Lember <kalevlember@gmail.com> - 2.4.10-1
- Update to 2.4.10

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 03 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.9-1
- Update to 2.4.9
- Added BR: mingw32-bzip2 mingw64-bzip2

* Sat Mar 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.8-5
- Added win64 support

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 2.4.8-4
- Remove .la files

* Tue Mar 06 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.8-3
- Renamed the source package to mingw-freetype (RHBZ #800380)
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.8-2
- Rebuild against the mingw-w64 toolchain

* Mon Jan 30 2012 Kalev Lember <kalevlember@gmail.com> - 2.4.8-1
- Update to 2.4.8

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Aug 07 2011 Kalev Lember <kalevlember@gmail.com> - 2.4.6-1
- Update to 2.4.6

* Sat Jul 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.4.5-1
- Update to 2.4.5
- Synced patches with Fedora native freetype 2.4.5-2
- Spec cleanup
- Enable automatic mingw dep extraction
- Create -debuginfo subpackage

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 12 2010 Richard W.M. Jones <rjones@redhat.com> - 2.3.11-1
- New upstream version 2.3.11.
- Match patches from Fedora native version.
- Recheck package with rpmlint.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.8-2
- Rebuild for mingw32-gcc 4.4

* Fri Jan 16 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.8-1
- New upstream version 2.3.8.
- Use the patches from the Fedora native package.
- Disable patented code.
- Don't build the static library.
- Use _smp_mflags.
- BR mingw32-dlfcn (not required, but uses it if installed).
- Add license file to doc section.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-6
- Requires pkgconfig.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-5
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 2.3.7-4
- Import patches from rawhide  & add docs

* Sun Sep 21 2008 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-3
- Depends on filesystem >= 25.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 2.3.7-2
- Fix source URL.
- Remove static libraries.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 2.3.7-1
- Initial RPM release
